org.labkey.remoteapi.study

## Class CheckForStudyReloadCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<CommandResponse>
  - - org.labkey.remoteapi.study.CheckForStudyReloadCommand

-     public class CheckForStudyReloadCommand
      extends Command<CommandResponse>

  Pings an existing LabKey study to check to see if it needs to be reloaded from a study archive on disk. Created by: jeckels Date: 7/12/15

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckForStudyReloadCommand()`
    `CheckForStudyReloadCommand(boolean skipQueryValidation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, copy, createRequest, createResponse, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckForStudyReloadCommand

          public CheckForStudyReloadCommand()

    - #### CheckForStudyReloadCommand

          public CheckForStudyReloadCommand(boolean skipQueryValidation)

  - ### Method Detail

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.Object> getParameters()

      Description copied from class: `Command`
      Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.
      Overrides:
        `getParameters` in class `Command<CommandResponse>`
      Returns:
        The current parameter map.